Bug 1340135 - Zanata translations for subscription-manager 1.17 are not 100%
Summary: Zanata translations for subscription-manager 1.17 are not 100%
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.3
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: vritant
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: 1340415
TreeView+ depends on / blocked
 
Reported: 2016-05-26 13:53 UTC by John Sefler
Modified: 2016-11-03 20:29 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 20:29:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2592 normal SHIPPED_LIVE Moderate: subscription-manager security, bug fix, and enhancement update 2016-11-03 12:10:42 UTC

Description John Sefler 2016-05-26 13:53:11 UTC
Description of problem:
Using this bugzilla to block automated translation tests.  Once the translation team has completed their task in Zanata project subscription-manager 1.17.X and the devel team has pulled and merged the new po files into subscription-manager-1.17 targeted for release in RHEL7.3, move this bug to MODIFIED.

Targeted LANGs are:
    de_DE, es_ES, fr, it, ja, ko, pt_BR, ru, zh_CN, zh_TW

Version-Release number:
https://translate.zanata.org/zanata/iteration/view/subscription-manager/1.17.X


Reference: Indic LANGs were dropped in https://bugzilla.redhat.com/show_bug.cgi?id=1195824#c2  As a result, the translations for the Indic LANGS will be less than 100%.

Comment 2 Noriko Mizumoto 2016-06-16 03:26:28 UTC
I am looking at translation update to be done btw 26-Aug to 01-Sep, making them available for snapshot-3. Current workload per language is btw 0.64hours to 1.74hours.
Please advise if any furhter update is pushed.

Comment 3 Noriko Mizumoto 2016-06-17 07:25:24 UTC
Hi subscription-manager team

According to our extensive study and evaluation, L10N team has decided to stop servicing internal language support for two languages of Russian and Traditional Chinese with business view point. However, if your project requires those two languages localization as well, we still can provide those upon request by outsourcing, please advise.
Other eight languages supports remain same.

Comment 4 Dan Lah 2016-07-25 10:54:14 UTC
>>However, if your project requires those two languages localization as well, we still >>can provide those upon request by outsourcing, please advise.

Per conversations with RHEL PMs - yes, please continue support for Russian and Traditional Chinese for Sub-Man with the understanding these languages will require external outsourcing.

Comment 6 Noriko Mizumoto 2016-07-28 05:56:59 UTC
Hi John

Yes, I read comment 4, and am pleased to confirm that I will organize mix of internal and outsourced resources in order to deliver all 10 targeted languages requested in comment 0 in the timeframe of comment 2.

cheers!

noriko

Comment 11 John Sefler 2016-09-02 21:22:22 UTC
Verifying Version...
[root@jsefler-rhel7 ~]# rpm -q subscription-manager
subscription-manager-1.17.12-1.el7.x86_64

[root@jsefler-rhel7 ~]# for F in $(rpm -ql subscription-manager | grep rhsm.mo); do echo ""; echo "$F"; msgunfmt --no-wrap $F | grep msgid | wc -l; done;

/usr/share/locale/as/LC_MESSAGES/rhsm.mo
872

/usr/share/locale/bn_IN/LC_MESSAGES/rhsm.mo
898

/usr/share/locale/de_DE/LC_MESSAGES/rhsm.mo
989

/usr/share/locale/es_ES/LC_MESSAGES/rhsm.mo
989

/usr/share/locale/fr/LC_MESSAGES/rhsm.mo
989

/usr/share/locale/gu/LC_MESSAGES/rhsm.mo
898

/usr/share/locale/hi/LC_MESSAGES/rhsm.mo
898

/usr/share/locale/it/LC_MESSAGES/rhsm.mo
989

/usr/share/locale/ja/LC_MESSAGES/rhsm.mo
989

/usr/share/locale/kn/LC_MESSAGES/rhsm.mo
898

/usr/share/locale/ko/LC_MESSAGES/rhsm.mo
989

/usr/share/locale/ml/LC_MESSAGES/rhsm.mo
897

/usr/share/locale/mr/LC_MESSAGES/rhsm.mo
898

/usr/share/locale/or/LC_MESSAGES/rhsm.mo
898

/usr/share/locale/pa/LC_MESSAGES/rhsm.mo
822

/usr/share/locale/pt_BR/LC_MESSAGES/rhsm.mo
989

/usr/share/locale/ru/LC_MESSAGES/rhsm.mo
989

/usr/share/locale/ta_IN/LC_MESSAGES/rhsm.mo
898

/usr/share/locale/te/LC_MESSAGES/rhsm.mo
898

/usr/share/locale/zh_CN/LC_MESSAGES/rhsm.mo
989

/usr/share/locale/zh_TW/LC_MESSAGES/rhsm.mo
989



VERIFIED: Acknowledging comment 6, the following 10 langs are now 100% translated with 989 translations pulled from https://translate.zanata.org/zanata/iteration/view/subscription-manager/1.17.X ...
  de_DE
  es_ES
  fr
  it
  ja
  ko
  pt_BR
  ru
  zh_CN
  zh_TW

Comment 13 errata-xmlrpc 2016-11-03 20:29:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2592.html


Note You need to log in before you can comment on or make changes to this bug.